/* ============================================================

 Theme Name: Yeakin Minimalist Creative Agency HTML Template
 Theme URI: http://
 Description: Creative Agency HTML Template
 Author: Md Shariful Islam,
 Author URI: 
 Version: 1.0 

============================================================== */
 
$(function() {

    "use strict";// this function is executed in strict mode

	/* ------------------------------------------------------ */
	/*  1. Preloader JS
	/* ------------------------------------------------------ */  
	setTimeout(function(){
		$('body').addClass('loaded'); 
	}, 2500);

	/* ------------------------------------------------------ */
	/*  2. SHRINK HEADER JS
	/* ------------------------------------------------------ */  
	$(window).on('scroll', function(){ 
		var wScroll = $(this).scrollTop();  
		if (wScroll >120) {
		  $('.navbar').addClass('top-nav-fixed');
		} else {
		  $('.navbar').removeClass('top-nav-fixed');
		}; 
	}); 
	
	/* --------------------------- */
	/*  3. wow animate JS
	/* --------------------------- */
	new WOW().init();
	
	/* --------------------------- */
	/*  4. work slider JS
	/* --------------------------- */  
    $('.works-text-slider').owlCarousel({
        items: 1,
        loop:true,
        margin: 0,
        autoplay:true,
        smartSpeed:600,
		dots: false,
		nav:true,
		navText:['<i class="fa fa-angle-left"></i>','<i class="fa fa-angle-right"></i>'],
    }); 
	
	/* --------------------------- */
	/*  5. profile slider JS
	/* --------------------------- */ 
	$('.profile-slider').owlCarousel({
		loop:true,
        margin: 0,
        autoplay:true,
        smartSpeed:600,
		dots: false,
		nav:true,
		navText:['<i class="fa fa-angle-left"></i>','<i class="fa fa-angle-right"></i>'],
		responsive:{
			0:{
				items:1
			},
			600:{
				items:2
			},
			1000:{
				items:3
			}
		} 
	});
	
	/* --------------------------- */
	/*  6. work masonry JS
	/* --------------------------- */ 
	$('#container').imagesLoaded( function() {
	  	var $grid = $('.work-masonry').isotope({
		  itemSelector: '.work-masonry-item',
		  percentPosition: true,
		  masonry: {
			// use outer width of grid-sizer for columnWidth
			columnWidth: 1
		  }
		})
	}); 
	
	/* --------------------------- */
	/*  7. popup-gallery JS
	/* --------------------------- */ 
	$('.popup-gallery').magnificPopup({
		delegate: 'a',
		type: 'image',
		tLoading: 'Loading image #%curr%...',
		mainClass: 'mfp-img-mobile',
		gallery: {
			enabled: true,
			navigateByImgClick: true,
			preload: [0,1] // Will preload 0 - before current, and 1 after the current image
		},
		image: {
			tError: '<a href="%url%">The image #%curr%</a> could not be loaded.',
			titleSrc: function(item) {
				return item.el.attr('title') + '<small>by Marsel Van Oosten</small>';
			}
		}
	});
	
	/* --------------------------- */
	/*  8. isotope portfolio JS
	/* --------------------------- */  
	$('#container').imagesLoaded( function() {
	  	var $grid = $('.portfolio-grid').isotope({
		  itemSelector: '.work-masonry-item',
		  percentPosition: true,
		  masonry: {
			// use outer width of grid-sizer for columnWidth
			columnWidth: 1
		  }
		});

		// filter items on button click
		$('.filter-button-group').on( 'click', 'button', function() {
		  var filterValue = $(this).attr('data-filter');
		  $grid.isotope({ filter: filterValue });
		});
		
		//for menu active class
		$('.portfolio-button button').on('click', function(event) {
			$(this).siblings('.active').removeClass('active');
			$(this).addClass('active');
			event.preventDefault();
		});
	});
	
	/* --------------------------- */
	/*  9. YouTube video click box JS
	/* --------------------------- */   
	$('.video-v').magnificPopup({ 
	  type: 'iframe'
	  // other options
	});
	 
	
});
 
$(document).ready(function() {

    var owl = $('.header .owl-carousel'); 
    // Slider owlCarousel
    $('.fullslider').owlCarousel({
        items: 1,
        loop:true,
        margin: 0,
		nav:false,
		navText:['<i class="fa fa-angle-double-left"></i>','<i class="fa fa-angle-double-right"></i>'],
        autoplay:true,
		dots: false,
        smartSpeed: 1000,
    }); 

    owl.on('changed.owl.carousel', function(event) {
        var item = event.item.index - 2;     
        $('h3').removeClass('animated fadeInRight');
        $('h2').removeClass('animated fadeInLeft');
        $('h6').removeClass('animated fadeInRight'); 
        $('.btn').removeClass('animated zoomIn');
        $('.owl-item').not('.cloned').eq(item).find('h3').addClass('animated fadeInRight');
        $('.owl-item').not('.cloned').eq(item).find('h2').addClass('animated fadeInLeft');
        $('.owl-item').not('.cloned').eq(item).find('h6').addClass('animated fadeInRight'); 
        $('.owl-item').not('.cloned').eq(item).find('.btn').addClass('animated zoomIn');
    });

});
	 